Bug 862567 - KMail Spam/Ham buttons not always shown
KMail Spam/Ham buttons not always shown
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kdepim (Show other bugs)
18
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-03 04:56 EDT by Neil Darlow
Modified: 2014-02-05 07:25 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 07:25:42 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Neil Darlow 2012-10-03 04:56:10 EDT
Description of problem:

When starting KMail, having configured Spam filtering with the Anti-Spam Wizard, the Spam and Ham toolbar buttons are not always shown.

Version-Release number of selected component (if applicable):

kdepim-4.9.2-1.fc18.i686
This bug was also present for kdepim-4.9.1 on fc17 and fc18-Alpha


How reproducible:

Fairly repeatable. Buttons fail to show more often than they do show.

Steps to Reproduce:
1. Start KMail and observe missing Spam/Ham toolbar buttons
2. Exit KMail
3. Start KMail again and observe Spam/Ham toolbar buttons are present
  
Actual results:

The Spam and Ham toolbar buttons do not show every time when starting KMail

Expected results:

The Spam and Ham toolbar buttons should consistently be shown.

Additional info:

My Spam filtering is configured to use SpamBayes (installed by default) and known and suspected Spam are moved to INBOX/Junk on my cyrus-imapd24 server.
Comment 1 Neil Darlow 2012-10-07 11:39:54 EDT
This appears to be an initial thing.

If you access KMail via Kontact, and have Kontact configured to open KMail at startup, then if the buttons are not shown and you switch to another view (e.g. Contacts or Calendar) then return to the Mail view, the buttons will appear correctly.

Regards,
Neil Darlow
Comment 2 Neil Darlow 2012-10-19 05:02:13 EDT
Further investigation shows that this is related to starting of Akonadi by KMail/Kontact.

If I add "akonadictl start" as a program to my KDE autostart then the Spam/Ham buttons are shown reliably at initial startup of KMail/Kontact.
Comment 3 Fedora End Of Life 2013-12-21 04:01:23 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2014-02-05 07:25:45 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.